%define name mkswapfile-berry
%define version 0.02
%define release b1

Name:		%{name}
Summary:	Swapfile Configuration
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	Xdialog

BuildArchitectures: noarch


%description
Shell GUI for generation of Swapfiles on DOS partitions


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
install -m 755 mkswapfile %{buildroot}/opt/berry
install -m 755 -d %{buildroot}/usr/share/applications
install -m 644 mkswapfile.desktop %{buildroot}/usr/share/applications


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/mkswapfile
/usr/share/applications/mkswapfile.desktop


##
## change log
##

%changelog
* Fri Apr 2 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed mkswapfile.desktop for KDE-3.2 & Berry Linux
* Sat Nov 29 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/sources/)
- mkdosswapfile-knoppix_0.5-11.tar.gz
